incubator-sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bdelacre...@apache.org
Subject svn commit: r1070875 - /sling/trunk/check_release_matches_tag.sh
Date Tue, 15 Feb 2011 12:58:34 GMT
Author: bdelacretaz
Date: Tue Feb 15 12:58:34 2011
New Revision: 1070875

URL: http://svn.apache.org/viewvc?rev=1070875&view=rev
Log:
add my release checking script

Added:
    sling/trunk/check_release_matches_tag.sh   (with props)

Added: sling/trunk/check_release_matches_tag.sh
URL: http://svn.apache.org/viewvc/sling/trunk/check_release_matches_tag.sh?rev=1070875&view=auto
==============================================================================
--- sling/trunk/check_release_matches_tag.sh (added)
+++ sling/trunk/check_release_matches_tag.sh Tue Feb 15 12:58:34 2011
@@ -0,0 +1,44 @@
+#!/bin/bash
+# check that a Sling staged release matches the corresponding svn tags
+#
+# usage:
+#  sh check_release_matches_tag.sh 004 /tmp/sling-staging
+#
+BASE=$2/$1/org/apache/sling
+TAGBASE=http://svn.apache.org/repos/asf/sling/tags/
+
+function fail() {
+	echo $* >&2
+	exit 1
+}
+
+function check() {
+       TAG=$TAGBASE/$1
+       ZIP=$PWD/$2
+       WORKDIR=workdir/$1/$(date +%s)
+       CUR=$PWD
+       echo
+       echo "Checking $ZIP against $TAG"
+       mkdir -p $WORKDIR
+       cd $WORKDIR > /dev/null
+       unzip $ZIP > /dev/null
+       ZIPDIR=$PWD/$(ls)
+       svn export $TAG svnexport > /dev/null
+       cd svnexport > /dev/null
+       diff -r . $ZIPDIR
+       cd $CUR
+
+}
+
+CURDIR=`pwd`
+cd $BASE || fail "Cannot cd to $BASE"
+
+find . -name *.zip | cut -c 3- | sed 's/\// /g' | while read line
+do
+       set $line
+       TAG=${1}-${2}
+       ZIP=${1}/${2}/${3}
+       check $TAG $ZIP
+done
+md5 $(find . -name *.zip)
+cd $CURDIR

Propchange: sling/trunk/check_release_matches_tag.sh
------------------------------------------------------------------------------
    svn:eol-style = native



Mime
View raw message